## sdlgfx 2.0.22-0maemo1

=== debian/changelog ===
sdlgfx (2.0.22-0maemo1) unstable; urgency=low

  * New upstream release

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Thu, 13 Jan 2011 20:28:58 +0000

sdlgfx (2.0.19-1maemo2) unstable; urgency=low

  * optify
  * neon buildflag

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Sat,  9 Jan 2010 16:45:35 +0000

sdlgfx (2.0.19-1maemo1) unstable; urgency=low

  * Maemo package
    - add vfp option for armel build

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Thu, 30 Apr 2009 13:28:27 +0300

sdlgfx (2.0.19-1) unstable; urgency=low

  [ Barry deFreese ]
  * Add myself to uploaders.
  * New upstream release. (Closes: #444966, #484164).
    + Drop existing patches.
    + 100_rotozoom_allocation_checks.diff used -p0. (Closes: #484958).
    + Keep -4 binary package name since ABI has not changed.
  * Symlink libSDL_gfx.so.13.5.0 to libSDL_gfx.so.4 to ease transition.
    + SONAME is now .so.13 but is ABI compatible.
  * Remove quilt .pc dir on clean.
  * Add watch file.
  * Remove duplicate libs section from binary package.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 03 Apr 2009 15:27:37 -0400

sdlgfx (2.0.13-4) unstable; urgency=low

  [ Aurelien Jarno ]
  * debian/control:
    + Make the package binNMU safe. 
    + Set policy 3.7.3.

  * debian/patches/020_gcc4.3.diff:
    + Fix build with gcc-4.3 (Closes: #389256, #474889).

  * debian/rules:
    + Don't ignore make distclean errors.
  
  * debian/copyright:
    + Add copyright entry.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 22 Apr 2008 21:22:39 +0200

sdlgfx (2.0.13-3) unstable; urgency=high

  * debian/control:
    + Set policy 3.7.2.
    + Added XS-Vcs-Svn field.

  * debian/rules:
    + Add missing binary-indep target (Closes: #395744).

  * debian/patches/100_rotozoom_allocation_checks.diff:
    + Check for return values in the rotozoom routines, patch courtesy of
      Kevin Locke (Closes: #405154).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  9 Feb 2007 22:51:50 +0100

sdlgfx (2.0.13-2) unstable; urgency=low

  * Moved development to the pkg-sdl Alioth project.

  * debian/rules:
    + Use quilt for patch management.
  * debian/control:
    + Build-depend on quilt.
    + Set the SDL team as the maintainer and added its members to the
      uploaders field.

  * debian/patches/000_am_maintainer_mode.diff:
  * debian/patches/010_test_am_maintainer_mode.diff:
    + Set AM_MAINTAINER_MODE.

  * debian/patches/000_binary_age.diff:
  * debian/patches/005_headers.diff:
    + Imported old patches.

  * debian/patches/000_remove_acinclude.diff:
  * debian/patches/001_rebootstrap.diff:
  * debian/patches/010_test_remove_acinclude.diff:
  * debian/patches/011_test_rebootstrap.diff:
    + Get rid of acinclude.m4 and properly rebootstrap directories.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  1 Mar 2006 20:05:46 +0100

sdlgfx (2.0.13-1) unstable; urgency=low

  * New upstream release (Closes: #283742).
  * Re-ran the autogen.sh process.
  * debian/control:
    + Set policy to 3.6.2.1.
    + Changed library package name to reflect soname change.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 16 Oct 2005 18:17:55 +0200

sdlgfx (2.0.9-6) unstable; urgency=low

  *sigh*, forgot the conflict/replaces on file move.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 16 Oct 2005 18:05:44 +0200

sdlgfx (2.0.9-5) unstable; urgency=low

  * Removed acinclude.m4 and reboostrapped (Closes: #319954, #320008).
  * debian/rules:
    + Moved .la file to the -dev package.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 16 Oct 2005 17:47:35 +0200

sdlgfx (2.0.9-4) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.1.1.
  * *.h:
    + Removed extra ';' in extern "C" constructs (Closes: #260582).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 27 Jul 2004 18:41:13 +0200

sdlgfx (2.0.9-3) unstable; urgency=low

  * Makefile.am:
    + Moved headers to /usr/include/SDL (was /usr/include) (Closes: #222395).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 31 Jan 2004 04:12:47 +0100

sdlgfx (2.0.9-2) unstable; urgency=low

  * configure.in:
    + Fixed binary age to keep our SONAME (Closes: #218215).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 30 Oct 2003 11:40:53 +0100

sdlgfx (2.0.9-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Set policy to 3.6.1.0.
    + Changed debhelper build-dependency to (>= 4.0).
  * debian/rules:
    + Include documentation and examples with the -dev package.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 27 Oct 2003 21:56:52 +0100

sdlgfx (2.0.8-1) unstable; urgency=low

  * New upstream release, fixes a few minor bugs.
  * configure.in:
    + Set BINARY_AGE to 8 so that we don't get a .so.8 library.
    + Re-ran autogen.sh.
  * debian/control:
    + Set policy to 3.6.0. No changes required.
    + Updated debhelper build-dependency to (>= 3.4.4) because we now
      use debian/compat.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 17 Jul 2003 01:53:33 +0200

sdlgfx (2.0.3-6) unstable; urgency=low

  * debian/control:
    + Build-depend on libsdl1.2-dev (>= 1.2.5-8) because 1.2.5-7 had a broken
      shlibs file.
    + Removed libc6-dev from the -dev package's dependencies.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 12 Jun 2003 13:29:29 +0200

sdlgfx (2.0.3-5) unstable; urgency=low

  * Set policy to 3.5.10.
  * Removed the leading "a" in the package description.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon,  9 Jun 2003 23:36:35 -0400

sdlgfx (2.0.3-4) unstable; urgency=low

  * Updated config.guess and config.sub in the Test directory.
  * Updated standards version to 3.5.9.0.
  * Changed libsdl-gfx1.2-dev's section to libdevel.

 -- Samuel Hocevar <sam@zoy.org>  Sat, 12 Apr 2003 00:49:40 +0200

sdlgfx (2.0.3-3) unstable; urgency=low


