=== debian/control ===
Source: sdlgfx
Section: libs
Priority: optional
Maintainer: Mikko Vartiainen <mvartiainen@gmail.com>
XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Matthew Danish <mrd@debian.org>, Zephaniah E. Hull <warp@debian.org>, Sam Hocevar (Debian packages) <sam+deb@zoy.org>, Aurelien Jarno <aurel32@debian.org>, Josselin Mouette <joss@debian.org>, Barry deFreese <bdefreese@debian.org>
Build-Depends: debhelper (>= 5.0), libsdl1.2-dev (>= 1.2.5-8), quilt
Standards-Version: 3.8.1
Homepage: http://www.ferzkopp.net/joomla/content/view/19/14/
Vcs-Svn: svn://svn.debian.org/svn/pkg-sdl/unstable/sdlgfx

Package: libsdl-gfx1.2-4
Architecture: any
Depends: ${shlibs:Depends}
Description: drawing and graphical effects extension for SDL
 The SDL_gfx library is an extension to the SDL library which provides
 basic antialiased drawing routines such as lines, circles or polygons,
 an interpolating rotozoomer for SDL surfaces, framerate control and MMX
 image filters.
 .
 This package contains the SDL_gfx runtime library.

Package: libsdl-gfx1.2-dev
Section: libdevel
Architecture: any
Depends: libsdl-gfx1.2-4 (= ${binary:Version}), libsdl1.2-dev (>= 1.2.5-3)
Conflicts: libsdl-gfx1.2 (<< 2.0.9-5)
Replaces: libsdl-gfx1.2 (<< 2.0.9-5)
Description: development files for SDL_gfx
 This package contains the header files and static library needed to
 compile applications that use SDL_gfx.
