=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

LIBPKG = libsdl-gfx1.2-4

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

# Use hardware floating point
#ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
#  CFLAGS += -mfpu=vfp -mfloat-abi=softfp
#endif

ifeq ($(DEB_BUILD_ARCH), armel)
CFLAGS += -mcpu=cortex-a8 -mfpu=neon -mfloat-abi=softfp
endif

build: build-stamp
build-stamp:
	dh_testdir
	ln -sf debian/patches
	quilt push -a || test $$? = 2
ifeq ($(DEB_BUILD_ARCH),i386)
	./configure $(confflags) --prefix=/usr --enable-mmx CFLAGS="$(CFLAGS)"
else
	./configure $(confflags) --prefix=/usr --disable-mmx CFLAGS="$(CFLAGS)"
endif
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean	
	quilt pop -a -R || test $$? = 2
	rm -f patches build-stamp

	rm -rf .pc

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(LIBPKG)/
	ln -s $(LIBPKG) \
		debian/libsdl-gfx1.2-dev/usr/share/doc/libsdl-gfx1.2-dev
	mv debian/$(LIBPKG)/usr/lib/*.so debian/libsdl-gfx1.2-dev/usr/lib/
	mv debian/$(LIBPKG)/usr/lib/*.a debian/libsdl-gfx1.2-dev/usr/lib/
	mv debian/$(LIBPKG)/usr/lib/*.la debian/libsdl-gfx1.2-dev/usr/lib/
	mv debian/$(LIBPKG)/usr/include debian/libsdl-gfx1.2-dev/usr/
	cp -r Docs debian/libsdl-gfx1.2-dev/usr/share/doc/$(LIBPKG)/html
	cp -r Test examples
	tar cvzf debian/libsdl-gfx1.2-dev/usr/share/doc/$(LIBPKG)/examples/examples.tar.gz examples
	rm -Rf examples

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -p $(LIBPKG)
	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
	dh_installcron -a
#	dh_installman -a
	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs ChangeLog -p $(LIBPKG)
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep: build install

binary: binary-arch binary-indep
.PHONY: build clean binary-arch binary-indep binary install
