## sdlgfx 2.0.23

=== debian/changelog ===
sdlgfx (2.0.23-3) unstable; urgency=low

  * Add libsdl-gfx1.2-dev.preinst to remove /usr/share/doc/libsdl-gfx1.2-dev
    symlink to libsdl-gfx1.2-4, if existing from previous versions of the
    package (it was like that in Squeeze).  Otherwise, when -dev is removed, it
    removes files from the libsdl-gfx1.2-4.  Thanks to Andreas Beckmann for the
    report (Closes: #700785).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 17 Feb 2013 23:32:26 +0000

sdlgfx (2.0.23-2) unstable; urgency=high

  [ Steve Langasek ]
  * High-urgency upload for RC bugfix.
  * debian/patches/wrong_cpuid_mmx_detection.diff: fix mmx cpuid
    detection.  Closes: #663514, LP: #1029981.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 03 Aug 2012 17:28:49 +0200

sdlgfx (2.0.23-1) unstable; urgency=low

  [ Felix Geyer ]
  * New upstream release.
    - Update copyright file.
  * Switch to source format 3.0 (quilt).
  * Switch to dh(1) debian/rules.
  * Don't install README and AUTHORS since the html docs contain both.
  * Don't install the .la file.
  * Move the pkg-config file to the -dev package.
  * Drop ancient Conflicts/Replaces.
  * Switch to debhelper compat level v9.
    - Exports build flags.
    - Build for multiarch.
  * Bump Standards-Version to 3.9.2, no further changes needed.
  * Add myself as uploader and drop all previous uploaders as they haven't
    touched the package in more than 2 years.
  * Enable parallel building.
  * Use dh-autoreconf to fix ancient-libtool lintian warning.
  * Move the documentation into a new package.
  * Update Vcs control fields to the new git repository.
  * Override package-name-doesnt-match-sonames lintian warning.
  * Add a symbols file.

  [ Dominique Dumont ]
  * control: added Multi-Arch: same in dev package
  * override lintian source warning about versioned debhelper
  * control: allow DM uploads

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 30 Dec 2011 20:55:51 +0100

sdlgfx (2.0.22-1) unstable; urgency=low

  * Team upload.
  * New upstream release. (Closes: #616409, #627051; LP: #676799)
    - Adapt 010_primitives_spell.diff
  * Bump shlibs to 2.0.22.
  * Clear out dependency_libs in libSDL_gfx.la. (Closes: #550644)

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 30 May 2011 15:27:57 +0200

sdlgfx (2.0.20-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Bump shlibs to 2.0.19 for the SONAME change (closes: #549110).

 -- Julien Cristau <jcristau@debian.org>  Tue, 31 Aug 2010 19:31:18 +0200

sdlgfx (2.0.20-1) unstable; urgency=low

  [ Barry deFreese ]
  * New upstream release. (Closes: #549250).
  * Add ${misc:Depends} for debhelper package.
  * Add README.source for quilt patch system.
  * Improve -dev package description.
  * Fix watch file.
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Tue, 06 Oct 2009 15:11:11 -0400

sdlgfx (2.0.19-2) unstable; urgency=low

  * Fix symlink for .so.4. (Closes: #526184, #526363).
    + Was pointing to .so.13.5.0 instead of .so.13.5.1.
  * 010_primitives_spell.diff. (Closes: #513760).
    + Fix misspelling of SDL_Primitives.h.

 -- Barry deFreese <bdefreese@debian.org>  Thu, 30 Apr 2009 14:34:05 -0400
