=== debian/control ===
Source: sdlgfx
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Felix Geyer <debfx-pkg@fobos.de>, Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
DM-Upload-Allowed: yes
Section: libs
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9~),
               libsdl1.2-dev (>= 1.2.5-8),
               dh-autoreconf
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/sdlgfx.git
Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/sdlgfx.git
Homepage: http://www.ferzkopp.net/joomla/content/view/19/14/

Package: libsdl-gfx1.2-4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: drawing and graphical effects extension for SDL
 The SDL_gfx library is an extension to the SDL library which provides
 basic antialiased drawing routines such as lines, circles or polygons,
 an interpolating rotozoomer for SDL surfaces, framerate control and MMX
 image filters.
 .
 This package contains the SDL_gfx runtime library.

Package: libsdl-gfx1.2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libsdl-gfx1.2-4 (= ${binary:Version}),
         libsdl1.2-dev (>= 1.2.5-3)
Suggests: libsdl-gfx1.2-doc
Description: development files for SDL_gfx
 The SDL_gfx library is an extension to the SDL library which provides
 basic antialiased drawing routines such as lines, circles or polygons,
 an interpolating rotozoomer for SDL surfaces, framerate control and MMX
 image filters.
 .
 This package contains the header files and static library needed to
 compile applications that use SDL_gfx.

Package: libsdl-gfx1.2-doc
Architecture: all
Section: doc
Priority: extra
Depends: ${misc:Depends}
Recommends: libsdl-gfx1.2-dev (= ${binary:Version})
Description: documentation files for SDL_gfx
 The SDL_gfx library is an extension to the SDL library which provides
 basic antialiased drawing routines such as lines, circles or polygons,
 an interpolating rotozoomer for SDL surfaces, framerate control and MMX
 image filters.
 .
 This package contains the documentation to program with the SDL_gfx library.
