=== debian/watch ===
version=3

http://www.ferzkopp.net/joomla/content/view/19/14/ \
/joomla/\.\./Software/SDL_gfx\-2\.0/SDL_gfx\-([\d.]+)\.tar\.gz
