## sdlgfx 2.0.25

=== debian/changelog ===
sdlgfx (2.0.25-12) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Include NMU from RB team, thanks!
  * Team upload to sid

  [ Steve Langasek ]
  * Mark libsdl-gfx1.2-doc Multi-Arch: foreign to make autopkgtests
    cross-testable. (Closes: #979279)
  * Also invoke ./configure for cross-testing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jan 2022 09:00:21 +0100

sdlgfx (2.0.25-11.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 15:29:09 +0100

sdlgfx (2.0.25-11) unstable; urgency=medium

  * d/rules: Add @ in 'tar --mtime="@$(SOURCE_DATE_EPOCH)"', otherwise the
    date is not valid (Closes: #911792)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 25 Oct 2018 01:56:31 +0200

sdlgfx (2.0.25-10) unstable; urgency=medium

  * Bump Policy Standars-Version to 4.2.1 (no changes needed)
  * Switch to debhelper compat level v11
  * d/control:
    - Update Vcs-* URLs
    - Use https in Homepage
    - Set "Rules-Requires-Root: no"
  * d/watch:
    - Switch to version=4
    - Use https in URL
  * d/rules:
    - include /usr/share/dpkg/architecture.mk and .../pkg-info.mk to
      provide DEB_HOST_* and SOURCE_DATE_EPOCH, instead of getting them
      through shell invocations.
    - dh_install --fail-missing is deprecated and about to be removed,
      use dh_missing instead
    - replace dh_linktree with dh_link, it does not work straight away
      with compat level v11
    - override dh_installdocs to keep libsdl2-gfx-doc as main doc package

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 23 Oct 2018 13:22:16 +0200

sdlgfx (2.0.25-9) unstable; urgency=medium

  * Changes when creating tar with examples for reproducible builds.
    Thanks Chris Lamb. (Closes: #879913)
  * More fixes to tests: check only for tests that are built by default
  * Bump Policy Standards-Version to 4.1.1
    - Stop using priority "extra" for the -doc package
  * Quell lintian warning "unnecessary-testsuite-autopkgtest-header"

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 28 Oct 2017 23:12:55 +0200

sdlgfx (2.0.25-8) unstable; urgency=medium

  * d/tests/control: depend on the -doc package, the one containing the
    examples to compile and test
  * Fixes to tests

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 01 Jul 2017 00:14:48 +0200

sdlgfx (2.0.25-7) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.0.0, no changes needed
  * Fix for reproducible builds: specify permissions when creating
    examples.tar file
  * Add tests for autopkgtest

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 27 Jun 2017 18:44:49 +0200

sdlgfx (2.0.25-6) unstable; urgency=medium

  * Bump std-version to 3.9.8, no changes required.
  * Switch to debhelper compat level v10
    - dh flags --parallel are not needed
    - autoreconf is invoked by default
  * Fixes for reproducible builds
    - restrict time of files in examples tar file
    - use gzip -n
  * Update Vcs-* URLs
  * Update Homepage URL

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 20 Jun 2017 20:57:34 +0200

sdlgfx (2.0.25-5) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload
  * Revert lintian override, jquery should stay out of the
    source tarball too.
  * fix watch file.
  * Bump std-version to 3.9.6, no changes required.

  [ Felix Geyer ]
  * Make build reproducible.
    - Pass "--owner=0 --group=0" to tar for creating examples.tar.gz

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 24 Jan 2016 14:09:46 +0100

sdlgfx (2.0.25-4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload.
  * Removed lintian versioned debhelper unused override.
  * Add override for embedded jquery, we already symlink it when building
  * Update watch file.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 19 Apr 2014 18:07:13 +0100

sdlgfx (2.0.25-3) unstable; urgency=medium

  * Target unstable

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 07 Apr 2014 21:07:47 +0100

sdlgfx (2.0.25-2) experimental; urgency=low

  [ Gianfranco Costamagna ]
  * Fixing jquery lintian warning
  * Re-enabling MMX detection in debian/rules, autodetection
    doesn't work properly.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 20 Feb 2014 17:35:46 +0000

sdlgfx (2.0.25-1) experimental; urgency=low

  * Team upload.

  [ Gianfranco Costamagna ]
  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed
  * Drop obsolete DM-Upload-Allowed
  * Disabled wrong_cpuid_mmx_detection.diff, now mmx is detected by
    SDL_HasMMX() function.
  * Bumped package soname to 5.
  * Removed some version checks on debian/control, newer versions already
    in oldstable
  * Removed override dh_installchangelogs, changelog should be
    automatically installed

  [ Manuel A. Fernandez Montecelo ]
  * Use wildcards to install the .so files
  * Change maintainer address to @debian.org
  * Remove MMX detection in debian/rules, it's auto-detected

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 19 Feb 2014 18:08:09 +0000
