=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: sdlgfx
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
-Uploaders: Felix Geyer <debfx-pkg@fobos.de>, Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
-DM-Upload-Allowed: yes
+Uploaders: Felix Geyer <fgeyer@debian.org>, Manuel A. Fernandez Montecelo <mafm@debian.org>
 Section: libs
 Priority: optional
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 9~),
-               libsdl1.2-dev (>= 1.2.5-8),
-               dh-autoreconf
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/sdlgfx.git
-Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/sdlgfx.git
-Homepage: http://www.ferzkopp.net/joomla/content/view/19/14/
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 11~),
+               libsdl1.2-dev,
+               libjs-jquery,
+	       tar (>= 1.28),
+Vcs-Browser: https://salsa.debian.org/sdl-team/sdlgfx
+Vcs-Git: https://salsa.debian.org/sdl-team/sdlgfx.git
+Homepage: https://www.ferzkopp.net/Software/SDL_gfx-2.0/
 
-Package: libsdl-gfx1.2-4
+
+Package: libsdl-gfx1.2-5
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -31,8 +33,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
-         libsdl-gfx1.2-4 (= ${binary:Version}),
-         libsdl1.2-dev (>= 1.2.5-3)
+         libsdl-gfx1.2-5 (= ${binary:Version}),
+         libsdl1.2-dev
 Suggests: libsdl-gfx1.2-doc
 Description: development files for SDL_gfx
  The SDL_gfx library is an extension to the SDL library which provides
@@ -45,9 +47,10 @@
 
 Package: libsdl-gfx1.2-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
-Priority: extra
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         libjs-jquery,
 Recommends: libsdl-gfx1.2-dev (= ${binary:Version})
 Description: documentation files for SDL_gfx
  The SDL_gfx library is an extension to the SDL library which provides
@@ -56,4 +59,3 @@
  image filters.
  .
  This package contains the documentation to program with the SDL_gfx library.
-
