=== debian/tests/control ===
Tests: compile-libsdl-gfx-test0
Depends: libsdl-gfx1.2-dev, libsdl-gfx1.2-doc, build-essential
Restrictions: allow-stderr
