=== debian/watch ===
version=4
https://sf.net/sdlgfx/SDL_gfx-(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)
